View Issue Details

IDProjectCategoryView StatusLast Update
0004684unrealmodule apipublic2019-07-15 21:03
ReporterGTAXLAssigned Toargvx 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.0.3.1 
Target VersionFixed in Version5.0.0-dev 
Summary0004684: Allow m_nopost core module to 301 permanent redirect to a website
DescriptionInstead of the m_nopost module spitting out "HTTP command from IRC connection (ATTACK?)" to the person's web browser, allow us to configure in the module a website we want the user to be 301 redirected too. I have a port forward for port 443 to redirect to port 6697 SSL on a few servers so people can evade firewalls that block ports. As you can imagine, Google bots and occasional dumb people will put the IRC round robin address in their web browser. I filed this request under here as this is a core module for UnrealIRCd.
TagsNo tags attached.
3rd party modules

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-05-18 22:20 GTAXL New Issue
2017-01-06 15:48 syzop Category module => module api
2019-07-08 08:58 syzop Status new => acknowledged
2019-07-15 21:03 argvx Assigned To => argvx
2019-07-15 21:03 argvx Status acknowledged => resolved
2019-07-15 21:03 argvx Resolution open => fixed
2019-07-15 21:03 argvx Fixed in Version => 5.0.0-dev